import { Observable } from 'rxjs';
import { RThemeOptions } from './theme.options';
export declare class RThemeService {
    protected options: RThemeOptions;
    currentTheme: string;
    private themeChanges$;
    constructor(options: RThemeOptions);
    changeTheme(name: string): void;
    onThemeChange(): Observable<any>;
}
